<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'omid',

    /*
     * Package.
     */
    'package'   => 'o_m_i_d',

    /*
     * Modules.
     */
    'modules'   => ['advertising'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'advertising'       => [
        'model' => [
            'model'                 => \Omid\OMID\Models\Advertising::class,
            'table'                 => 'advertisings',
            'presenter'             => \Omid\OMID\Repositories\Presenter\AdvertisingItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'o_m_i_d/advertising',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Omid',
            'package'   => 'OMID',
            'module'    => 'Advertising',
        ],

    ],
];
