<?php

namespace Omid\OMID;

use User;

class OMID
{
    /**
     * $advertising object.
     */
    protected $advertising;

    /**
     * Constructor.
     */
    public function __construct(\Omid\OMID\Interfaces\AdvertisingRepositoryInterface $advertising)
    {
        $this->advertising = $advertising;
    }

    /**
     * Returns count of o_m_i_d.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.advertising.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->advertising->pushCriteria(new \Litepie\Omid\Repositories\Criteria\AdvertisingUserCriteria());
        }

        $advertising = $this->advertising->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('o_m_i_d::' . $view, compact('advertising'))->render();
    }
}
